# 32/64bit spec-file
#

Name:           kde-gimp-resources-thumbnailer
Version:        2.1.1
Release:        %mkrel 4
License:        GPLv2
URL:            https://github.com/aclemens/GimpResourcesThumbnailer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kdelibs-devel
BuildRequires:	kde-workspace-devel 
BuildRequires:	doxygen
Source0:        GimpResourcesThumbnailer-%{version}.tar.xz
Requires:       kde-workspace
Requires:	doxygen
Obsoletes:      kde4-gimp-resources-thumbnail-plugin
Group:          Graphical desktop/KDE4
Summary:        Gimp Resources Thumbnailer for KDE

%description
GimpResourcesThumbnailer is a thumbnail service for KDE. It can be used in any KDE application that
supports the thumbnail kioslave, like dolphin or digiKam. You can preview all of your Gimp resources
like brushes and patterns, to easily manage them into folders, without the need to open Gimp.

The following resource types are supported:
* Gimp-Brushes (.gbr, .ghi, .vbr)
* Gimp-Patterns (.pat)
* Gimp-Palettes (.gpl)
* Gimp-Gradients (.ggr)
* Adobe Photoshop Brushes (.abr (v6))


%prep
%setup -q -n GimpResourcesThumbnailer-%{version}

%build
%cmake_kde4 -DCMAKE_BUILD_TYPE=release
%make PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
cd build
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_libdir}/kde4/*
%{_datadir}/kde4/services/*
%{_datadir}/mime/packages/*

%changelog
* Thu Feb 07 2013 pinoc <vogtpet at gmail.com> 2.1.1-4pclos2013
- rebuild

* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 2.1.1-3pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.1.1-3_archie_2012
- update

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Tue Dec 07 2010 Ertain <sirius-C at iname.com> 2.1.1-1pclos2010
- Initial package

